<nav
    class="top-0 min-h-[9rem] p-4 flex flex-col md:flex-row justify-center items-center bg-primary text-white text-xl shadow-lg">

    <div class="w-full md:w-0 flex flex-row">
        <img src="assets/logo.png" alt="" class="h-28 md:absolute top-4 left-4">
        <button (click)="menuOpen = !menuOpen" type="button" class="ml-auto md:hidden">
            <svg xmlns="http://www.w3.org/2000/svg" [ngClass]="{'rotate-90': (menuOpen && mobile)}" class="h-10 w-10 transition duration-200" fill="none" viewBox="0 0 24 24" stroke="currentColor" stroke-width="2">
                <path stroke-linecap="round" stroke-linejoin="round" d="M4 6h16M4 12h16M4 18h16" />
            </svg>
        </button>
    </div>

    <!--max-h-20: visualizzazione desktop o menù aperto su mobile-->
    <!--max-h-0: menù chiuso su mobile-->
    <!--mt-4: menù aperto su mobile-->
    <div [ngClass]="{'max-h-20': (menuOpen || !mobile), 'max-h-0': (!menuOpen && mobile), 'mt-4': (menuOpen && mobile)}" class="overflow-hidden md:overflow-visible flex flex-col md:flex-row justify-center items-center gap-4 md:gap-8 transition-all duration-200">
        <a href="#about" (click)="menuOpen = false" class="relative uppercase before:content-start before:absolute before:top-[1.13em] before:w-0 hover:before:w-full before:h-0.5 before:bg-white before:transition-all before:duration-200">Chi siamo</a>
        <a href="#menu" (click)="menuOpen = false" class="relative uppercase before:content-start before:absolute before:top-[1.13em] before:w-0 hover:before:w-full before:h-0.5 before:bg-white before:transition-all before:duration-200">Menù</a>
    </div>
</nav>

        <!-- 
        <a href="">Menù del giorno</a>
        <div id="menù adulti">
            <a href="">Primi piatti</a>
            <a href="">Secondi piatti</a>
            <a href="">Piatto unico</a>
            <a href="">Contorni</a>
            <a href="">Menù vegetariano</a>
        </div>
        <div id="menù bambini">
            <a href="">Primi piatti bambini</a>
            <a href="">Secondi piatti bambini</a>
        </div>
        <a href="">Dolci</a>
        <a href="">Bevande</a>
         -->